

function dict = dict_normalize(dict)
 % 
 %  function dict = dict_normalize(dict)
 %
 %  normalize a dictionary (i.e. each column of dict.X)
 %
     
 if iscell(dict)
     for n = 1:length(dict)
         dict{n} = normcols(dict{n});
     end
 else    
    for n = 1:size(dict.X,2)
       dict.X(:,n) = dict.X(:,n)/l2norm(dict.X(:,n));
    end
 end