
function M = normcols(M,norm)
 % 
 %  function M = normcols(M)
 %
 %  normalize all columns of a matrix ('l1' or 'l2' norm)
 %
      
 if nargin>1 && strcmpi(norm,'l1')
    for n = 1:size(M,2)
       M(:,n) = M(:,n) ./ l1norm(M(:,n));
    end
 else
    for n = 1:size(M,2)
       M(:,n) = M(:,n) ./ l2norm(M(:,n));
    end
 end